package cli

import (
	"fmt"
	"log"
	"os"

	"github.com/urfave/cli/v2"
)

func RunApp(version string, commit string) {
	app := &cli.App{
		Name:    "abra",
		Usage:   "The Co-op Cloud utility belt 🎩🐇",
		Version: fmt.Sprintf("%s-%s", version, commit[:7]),
		Commands: []*cli.Command{
			AppCommand,
			ServerCommand,
			{

				Name:     "recipe",
				HideHelp: true,
				Subcommands: []*cli.Command{
					{
						Name: "list",
					},
					{
						Name: "create",
					},
				},
			},
			VersionCommand,
		},
		Flags: []cli.Flag{
			EnvFlag,
			StackFlag,
			SkipCheckFlag,
			SkipUpdateFlag,
			VerboseFlag,
			BranchFlag,
			NoPromptFlag,
			DebugFlag,
			ContextFlag,
		},
	}

	err := app.Run(os.Args)
	if err != nil {
		log.Fatal(err)
	}
}
